require "zlib"
require_relative "constants"

module Unicode
  module Blocks
    blocks_data = []
    File.foreach('/usr/share/unicode/Blocks.txt') do |line|
      if line.match(/^([0-9A-F]+)..([0-9A-F]+); (.*)\n/)
        blocks_data.append [$1.hex, $2.hex, $3]
      end
    end
    INDEX = blocks_data.dup
  end
end
